Set the people on a form fill
curl --request PATCH \
--url https://advisor.redbark.com/api/v1/clients/{client}/form_fills/{form_fill} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"people": [
{
"role": "<string>",
"person_id": "<string>"
}
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({people: [{role: '<string>', person_id: '<string>'}]})
};
fetch('https://advisor.redbark.com/api/v1/clients/{client}/form_fills/{form_fill}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://advisor.redbark.com/api/v1/clients/{client}/form_fills/{form_fill}"
payload = { "people": [
{
"role": "<string>",
"person_id": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"object": "form_fill",
"id": "<string>",
"number": 123,
"client_id": "<string>",
"name": "<string>",
"form_id": "<string>",
"layout_id": "<string>",
"group_id": "<string>",
"status": "draft",
"detection": "waiting",
"mapped": true,
"people": [
{
"role": "<string>",
"person_id": "<string>"
}
],
"checklist_item_id": "<string>",
"counts": {
"filled": 123,
"to_check": 123,
"missing": 123,
"left_for_client": 123
},
"created_at": "<string>",
"updated_at": "<string>",
"downloaded_at": "<string>",
"page_count": 123,
"kind": "acroform",
"roles": [
{
"key": "<string>",
"label": "<string>"
}
],
"mapping_version": 123,
"fields": [
{
"id": "<string>",
"page": 123,
"box": {
"left": 123,
"top": 123,
"width": 123,
"height": 123
},
"type": "text",
"label": "<string>",
"section": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>"
}
],
"source": "<string>",
"role": "<string>",
"format": "<string>",
"agreement": 123
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Forms
Set the people on a form fill
Says which client person is each person on the form (its roles, from get_form_fill), then fills the form again. Values a member or the client gave stay.
PATCH
/
clients
/
{client}
/
form_fills
/
{form_fill}
Set the people on a form fill
curl --request PATCH \
--url https://advisor.redbark.com/api/v1/clients/{client}/form_fills/{form_fill} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"people": [
{
"role": "<string>",
"person_id": "<string>"
}
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({people: [{role: '<string>', person_id: '<string>'}]})
};
fetch('https://advisor.redbark.com/api/v1/clients/{client}/form_fills/{form_fill}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://advisor.redbark.com/api/v1/clients/{client}/form_fills/{form_fill}"
payload = { "people": [
{
"role": "<string>",
"person_id": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"object": "form_fill",
"id": "<string>",
"number": 123,
"client_id": "<string>",
"name": "<string>",
"form_id": "<string>",
"layout_id": "<string>",
"group_id": "<string>",
"status": "draft",
"detection": "waiting",
"mapped": true,
"people": [
{
"role": "<string>",
"person_id": "<string>"
}
],
"checklist_item_id": "<string>",
"counts": {
"filled": 123,
"to_check": 123,
"missing": 123,
"left_for_client": 123
},
"created_at": "<string>",
"updated_at": "<string>",
"downloaded_at": "<string>",
"page_count": 123,
"kind": "acroform",
"roles": [
{
"key": "<string>",
"label": "<string>"
}
],
"mapping_version": 123,
"fields": [
{
"id": "<string>",
"page": 123,
"box": {
"left": 123,
"top": 123,
"width": 123,
"height": 123
},
"type": "text",
"label": "<string>",
"section": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>"
}
],
"source": "<string>",
"role": "<string>",
"format": "<string>",
"agreement": 123
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Authorizations
Path Parameters
Response
Success.

